%define snap 20110104
%define branch 0
%define phonon_epoch 5
%define phonon_major 4
%define phonon_version %(pkg-config --modversion phonon 2>/dev/null || echo 4.4.4)
%define libphonon_requires %mklibname phonon %{phonon_major}
%define kde_name  phonon-backend-xine

Summary: Xine phonon backend 
Name:    phonon-xine
Version: 4.4.4
%if %branch
Release: %mkrel 0.%{snap}.5
%else
Release: %mkrel 1
%endif
Epoch: 5
Group:   Sound
License: LGPLv2+
URL:     http://phonon.kde.org/
%if %branch
Source0: phonon-xine-%{version}.tar.bz2
%else
Source0: %kde_name-%{version}.tar.bz2
%endif
# run this script to generate a snapshot tarball
Source1: phonon-xine_snapshot.sh
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: automoc4
BuildRequires: cmake
BuildRequires: phonon-devel >= %{phonon_epoch}:4.4.4
BuildRequires: libxcb-devel
BuildRequires: libxine-devel
BuildRequires: kde4-macros
Requires: xine-plugins
Suggests: xine-pulse
Provides: phonon-backend

Provides: phonon-backend = %{phonon_epoch}:%{phonon_version}

Requires: %{libphonon_requires} >= %{phonon_epoch}:%{phonon_version}

%files
%defattr(-,root,root,-)
%doc COPYING.LIB
%{_kde_libdir}/kde4/plugins/phonon_backend/phonon_xine.so
%{_kde_datadir}/kde4/services/phononbackends/xine.desktop
%{_kde_iconsdir}/hicolor/*/apps/phonon-xine.*

#--------------------------------------------------------------------

%description
%{summary}.


%prep
%setup -q -n %kde_name-%{version}

%build
%{cmake_kde4} \
  -DUSE_INSTALL_PLUGIN=TRUE



%install
rm -rf %{buildroot}

%makeinstall_std -C build

# move icons to hicolor
mv %{buildroot}%{_datadir}/icons/oxygen \
   %{buildroot}%{_datadir}/icons/hicolor


%clean
rm -rf %{buildroot}




%changelog
* Fri Jan 21 2011 dmorgan <dmorgan> 5:4.4.4-1.mga1
+ Revision: 29656
- Fix spec file
- Fix source name
- Fix release

* Mon Jan 17 2011 ahmad <ahmad> 5:4.4.4-0.20110104.5.mga1
+ Revision: 21635
- introduce libphonon_requires mancro and fix the phonon Requires

* Mon Jan 17 2011 ahmad <ahmad> 5:4.4.4-0.20110104.4.mga1
+ Revision: 21586
+ rebuild (emptylog)

* Mon Jan 17 2011 dmorgan <dmorgan> 5:4.4.4-0.20110104.3.mga1
+ Revision: 20643
- Add Epoch
- Fix BuildRequires
- imported package phonon-xine


* Wed Jan 05 2011 Rex Dieter <rdieter@fedoraproject.org> -  4.4.4-0.3.20110104
- %%doc COPYING.LIB
- add comment on pnonon-xine_snapshot.sh usage

* Wed Jan 05 2011 Rex Dieter <rdieter@fedoraproject.org> -  4.4.4-0.2.20110104
- phonon-backend-xine

* Tue Jan 04 2011 Rex Dieter <rdieter@fedoraproject.org> -  4.4.4-0.1.20110104
- phonon-xine-4.4.4-20110104 snapshot
